/*
	ostdlib.h

	% Oakland stdlib.h version. Depends on what compiler is being used.

	OWL 1.2
	Copyright (c) 1986-1990, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 4/07/89 jmd	added math.h for UNIX/APOLLO
	 6/27/89 ted	Removed references to min and max.
	 7/15/89 ted	Added oabs, omin, omax, int_min, int_max for all cases.
	 2/15/90 jmd	fixed Watcom defines
	 3/03/90 jsm	Added CI defines
	 3/15/90 ted	Avoided duplicate inclusion of math.h on Apollo.
	 3/28/90 jmd	ansi-fied
	 4/02/90 jsm	Added M6 defines
	 4/11/90 jmd	simplified
	 6/05/90 gam	Added TSC stuff
	 6/20/90 ted	Added Watcom 8.0 '386 defines.
	 7/16/90 bkd	Added include of stdlib.h for VAX/VMS.
	 8/11/90 bkd	Added include of malloc.h, declaration of calloc for
		 			SunOS.
	10/18/90 jmd	moved dependencies to oakland.h
	12/06/90 jmd	fixed spelling of "multiple"

	This file depends on the symbol O_NOSTDLIB_H
	being #define'd for the Compiler or OS.
	See "oakland.h" for the symbol definitions.
*/
/* -------------------------------------------------------------------------- */

#define oabs(a)						(((a) >= 0) ? (a) : -(a))
#define omax(a, b)					(((a) > (b)) ? (a) : (b))
#define omin(a, b)					(((a) < (b)) ? (a) : (b))

/* OAKINT.C */
extern int		int_max(int a, int b);
extern int		int_min(int a, int b);

#ifndef O_NOSTDLIB_H	 /* default case */
#	include <stdlib.h>
#else
#	ifndef HUGE			/* avoid multiple include of math.h */
#		include <math.h>		/* for atof etc. */
#	endif
	VOID *malloc();
	VOID *calloc();
	VOID *realloc();
#endif


/* -------------------------------------------------------------------------- */

